%global         momorel 3

Name:           perl-HTML-Format
Version:        2.11
Release:        %{momorel}m%{?dist}
Summary:        HTML::Format Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-Format/
Source0:        http://www.cpan.org/authors/id/N/NI/NIGELM/HTML-Format-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006_001
BuildRequires:  perl-Data-Dumper
BuildRequires:  perl-File-Slurp
BuildRequires:  perl-PathTools
BuildRequires:  perl-File-Temp
BuildRequires:  perl-Font-AFM
BuildRequires:  perl-HTML-Tree >= 3.15
BuildRequires:  perl-IO
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Scalar-Util
BuildRequires:  perl-Test-Simple >= 0.96
Requires:       perl-Data-Dumper
Requires:       perl-Font-AFM
Requires:       perl-HTML-Tree >= 3.15
Requires:       perl-IO
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
SYNOPSIS      use HTML::FormatSomething;      my $infile  =
"whatever.html";      my $outfile = "whatever.file";      open OUT,
">$outfile"       or die "Can't write-open $outfile: $!\n";

%prep
%setup -q -n HTML-Format-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README
%{perl_vendorlib}/HTML/FormatMarkdown.pm
%{perl_vendorlib}/HTML/FormatPS.pm
%{perl_vendorlib}/HTML/FormatRTF.pm
%{perl_vendorlib}/HTML/FormatText.pm
%{perl_vendorlib}/HTML/Formatter.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-2m)
- rebuild against perl-5.18.2

* Sun Nov 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-1m)
- update to 2.11

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10-8m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10-7m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10-6m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10-5m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10-4m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10-3m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10-2m)
- rebuild against perl-5.14.2

* Sat Aug  6 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10-1m)
- update to 2.10

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.07-3m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.07-2m)
- rebuild against perl-5.14.0-0.2.1m

* Sat Apr 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.07-1m)
- update to 2.07

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.04-13m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.04-12m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-11m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.04-10m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-9m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-8m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.04-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-6m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.04-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.04-4m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.04-3m)
- use vendor

* Fri Nov  3 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.04-2m)
- delete dupclicate directory

* Tue Oct 24 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.04-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
